MenüHomeBlogMagic

Eagle CAD 6.2 installieren Ubuntu / Linux Mint

Vorbereitung

Zuerst muss libpng Version 1.4 installiert werden, da diese für Eagle benötigt wird.
Da Ubuntu momentan eine ältere Version einsetzt ist es notwendig die Library selbst zu kompilieren. Die passende Version ist unter sourceforge.net zu erhalten, oder links im Download Menü.
Voraussetzung für eine Erfolgreiche Kompilierung sind allerdings die tools gcc, make, zlib. Sollten weiter Abhängikeiten fehlen wird dies unter ./configure ermittelt.

Die von Eagle benötigte Version ist bei mir die libpng1.4.

Zum Installieren:

tar xfz libpng-1.4.11.tar.gz
cd libpng-1.4.11
./configure
make
sudo make install

Um nun die Version für Eagle verfügbar zu machen, muss die lib location noch in die Umgebungsvariable:

  1. Entweder temporär (Bei jedem Neustart des Computers):

    export LD_LIBRARY_PATH=/usr/local/lib

  2. Oder dauerhaft durch verschieben der Dateien:

    sudo mv /usr/local/lib/libpng14.* /usr/lib

Weitere Hinweiße:

Bei dem Fehler configure: error: zlib not installed muss die zlib-dev nachinstalliert werden mit:

sudo apt-get install zlib1g-dev

Eagle installieren:

Eagle ist unter http://www.cadsoftusa.com/ zu erhalten.

Nachdem libpng erfolgreich installiert ist, kann der installer für Eagle ganz normal mit:

sh eagle</strong><strong>-lin-6.2.0.run

aufgerufen werden. Anschließend kann das Programm mit doppelklick auf eagleim Unterordner bin gestartet werden.

Eagle nach der Installation

NameTypeComment
libpng-1.4.11.tar.gz